Skip to main content
GET
/
v2
/
datasets
/
{dataset_id}
/
examples
List dataset examples
curl --request GET \
  --url https://api.arize.com/v2/datasets/{dataset_id}/examples \
  --header 'Authorization: Bearer <token>'
{
  "examples": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "created_at": "2024-01-01T12:00:00Z",
      "updated_at": "2024-01-02T12:00:00Z",
      "question": "What is 2 + 2?",
      "answer": 4,
      "topic": "arithmetic",
      "isCorrect": true
    },
    {
      "id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
      "created_at": "2024-01-02T12:00:00Z",
      "updated_at": "2024-01-03T12:00:00Z",
      "question": "What is the square root of 16?",
      "answer": 4,
      "topic": "geometry",
      "isCorrect": true
    },
    {
      "id": "9c7f6b2e-4a3d-11e9-8bad-f5b7b8c1ae7e",
      "created_at": "2024-01-03T12:00:00Z",
      "updated_at": "2024-01-04T12:00:00Z",
      "question": "If 3x = 12, what is x?",
      "answer": 3,
      "topic": "algebra",
      "isCorrect": false
    }
  ],
  "pagination": {
    "next_cursor": "cursor_12345",
    "has_more": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://arize-ax.mintlify.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

dataset_id
string
required

The unique dataset identifier (base64) A universally unique identifier (base64-encoded opaque string).

Example:

"RW50aXR5OjEyMzQ1"

Query Parameters

dataset_version_id
string

The unique identifier of the dataset version A universally unique identifier (base64-encoded opaque string).

Example:

"RW50aXR5OjEyMzQ1"

limit
integer
default:50

Maximum items to return

Required range: 1 <= x <= 500

Response

Returns a list of dataset examples as structured objects

examples
object[]
required

Array of example objects from the dataset

pagination
object
required

Pagination metadata for cursor-based navigation